Skip to main content

This site requires you to update your browser. Your browsing experience maybe affected by not having the most up to date version.

 

We've got you covered: new security releases

SilverStripe 3.3.2, 3.2.4 and 3.1.19 released!

Read post

New Security Releases: 3.3.2, 3.2.4

Also, we released 3.1.19. But you're not really still using 3.1, are you? If so, don't worry, we have your back with a bunch of fixes to security issues.

These releases include bugfixes from the last few months, including some rather numerous security patches. If you're concerned about security, you should look at ensuring your site is running at least 3.3.2.

Details of these fixes are on the respective change logs at:

Installing the update

To get a fresh copy of the beta to test out, you can create a new project with the following composer command.

composer create-project silverstripe/installer /path/to/project 3.3.2

If you're upgrading from an older version, you can bump up your composer.json dependencies as below:

"silverstripe/cms": "3.3.2@stable",
"silverstripe/framework": "3.3.2@stable",
"silverstripe/siteconfig": "3.3.2@stable",
"silverstripe/reports": "3.3.2@stable",

Or head over to the pre-release downloads to grab the files via zip or tar.

About the author
Damian Mooyman

Damian is a developer who has been stuck into SilverStripe for a few years, and a part of the company for a while too. He’ll be around on github under the handle @tractorcow if you need him.

Post your comment

Comments

  • Hi Damian. Is there a way of enabling auto-update for SS security updates? I'm new to SS and just wondering how I would go about maintaining the security of the websites I build, especially when I've got 50+ websites to keep up to date?!

    Posted by Christian, 17/05/2016 7:41pm (3 years ago)

RSS feed for comments on this page | RSS feed for all comments

Like what you have read?

Sign up for our weekly blog digest sent to your inbox.

Subscribe